Bug 220157 - science/mbdyn: Update to 1.7.2, Take MAINTAINER'ship
Summary: science/mbdyn: Update to 1.7.2, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://www.mbdyn.org/userfiles/downl...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-20 10:57 UTC by Jov
Modified: 2017-07-05 15:55 UTC (History)
3 users (show)

See Also:
amutu: maintainer-feedback+


Attachments
mbdyn-1.7.2.diff (3.82 KB, patch)
2017-06-20 10:57 UTC, Jov
no flags Details | Diff
mbdyn-1.7.2.diff (3.66 KB, patch)
2017-07-04 11:58 UTC, Jov
no flags Details | Diff
mbdyn-1.7.2.diff (4.40 KB, patch)
2017-07-05 01:29 UTC, Jov
koobs: maintainer-approval+
Details | Diff
mbdyn.diff (8.61 KB, patch)
2017-07-05 07:01 UTC, Richard Gallamore
ultima: maintainer-approval? (amutu)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-06-20 10:57:11 UTC
Created attachment 183649 [details]
mbdyn-1.7.2.diff

QA:
portlint -AC
WARN: Makefile: [47]: possible direct use of command "which" found. use ${WHICH} instead.
WARN: Makefile: [65]: possible direct use of command "which" found. use ${WHICH} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 3 warnings found.

poudriere testport on 11.0R-amd64 :default option, chaco+metis+gotoblas, chaco+metis+atlas

NOTE:
1.add gcc depend to fix this problem(also exists on 1.7.1).
2.add libtool:build option to fix build error.
3.remove un-used patch because there changes already pushed to upstream.
Comment 1 Richard Gallamore freebsd_committer 2017-06-25 03:32:50 UTC
Hello Jov, thanks for taking the time to fix this port and maintain it.

This patch adds the lib gcc5. Instead of adding this as a lib depend, can you please use USE_GCC= 5.
Comment 2 Jov 2017-06-25 06:19:50 UTC
(In reply to Richard Gallamore from comment #1)
I try to use USE_GCC=5+ but the QA error still there,only using the lib_depends can make the warning disappeared.As the original 1.7.1 has this error too, I think this is a false negative,so I just remove the gcc lib depends leave this as is.

note the QA test only run when set DEVELOPER=yes to /etc/make.conf:
Running Q/A tests (stage-qa)
Error: /usr/local/bin/ann_in is linked to /usr/local/lib/gcc5/libgfortran.so.3 from lang/gcc but it is not declared as a dependency
Error: /usr/local/bin/ann_in is linked to /usr/local/lib/gcc5/libquadmath.so.0 from lang/gcc but it is not declared as a dependency
Error: /usr/local/bin/c81merge is linked to /usr/local/lib/gcc5/libstdc++.so.6 from lang/gcc but it is not declared as a dependency
Error: /usr/local/bin/c81merge is linked to /usr/local/lib/gcc5/libgcc_s.so.1 from lang/gcc but it is not declared as a dependency
Comment 3 Richard Gallamore freebsd_committer 2017-06-27 18:11:12 UTC
(In reply to Jov from comment #2)
Just compiled the port without the gcc5 LIB_DEPENDS entry or USE_GCC= 5+ completed successfully without the Errors. I also compiled with the USE_GCC= 5+ entry without the error.

https://poudriere.ultimasbox.com/data/103amd64-test/2017-06-27_06h54m08s/logs/mbdyn-1.7.2.log

Are you sure this is required? I'm not finding any documentation declaring these are a requirement. Is it really a necessary entry or did I possibly miss it in a document?

The USE= compiler:c++11-lib and other USE entries should take care of the compiler requirements.
Comment 4 Jov 2017-06-28 03:38:01 UTC
(In reply to Richard Gallamore from comment #3)
Yes, the poudriere testport build OK.the QA error only shows when I build from my local host and make.conf with DEVELOPER=yes set.
That's why I think it is a false negative.
Comment 5 Richard Gallamore freebsd_committer 2017-06-28 04:01:19 UTC
(In reply to Jov from comment #4)
Yeah it is probably just a false positive from a dirty environment, don't worry about the error. Leave gcc out of depends and let the USE/USES deal with those.
Comment 6 Jov 2017-07-04 11:58:28 UTC
Created attachment 184055 [details]
mbdyn-1.7.2.diff

no lib_depends and USE for gcc5.
Comment 7 Jov 2017-07-04 12:00:16 UTC
(In reply to Richard Gallamore from comment #5)
I removed the gcc5 lib depends and USE_GCC=5+ as you said. So please go forward.
Comment 8 Richard Gallamore freebsd_committer 2017-07-04 22:26:37 UTC
GINAC_DESC=        Enable GiNaC-support (not implemented yet)

If GINAC is not implemented, should we just remove this options?
Comment 9 Richard Gallamore freebsd_committer 2017-07-04 22:27:56 UTC
Any idea what the point of the option is?
Comment 10 Jov 2017-07-05 01:29:27 UTC
Created attachment 184064 [details]
mbdyn-1.7.2.diff

remove GiNaC-support,which is not implement on FreeBSD
Comment 11 Jov 2017-07-05 01:44:15 UTC
(In reply to Richard Gallamore from comment #9)
From the commit history: https://github.com/freebsd/freebsd-ports/commit/aba91219338387fa74e3cdfe2d1fdf89f6d0dfec this option mark broken when upgrade from 1.4.x to 1.7.x.
Comment 12 Pedro F. Giffuni freebsd_committer 2017-07-05 02:39:46 UTC
I had some contact with the authors of this package and they noted the MPI support is dead (it was always very slow). Most of the patches are therefore not needed.

I am not sure about GiNac, I recall vaguely bu I am not sure someone built with it a newer version on macOS.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-05 05:39:59 UTC
Comment on attachment 184064 [details]
mbdyn-1.7.2.diff

Port is unmaintained, implicit approval
Comment 14 Richard Gallamore freebsd_committer 2017-07-05 07:01:24 UTC
Created attachment 184065 [details]
mbdyn.diff

* Added previous patches for removal of ginac and mpi
* Moved BROKEN_* above *_DEPENDS, BROKEN_* comes before *_DEPENDS
* Sorted options section and removed some unneeded bits


feedback? The mpi option can be omitted and decided on later.
Comment 15 commit-hook freebsd_committer 2017-07-05 15:51:34 UTC
A commit references this bug:

Author: ultima
Date: Wed Jul  5 15:50:44 UTC 2017
New revision: 445084
URL: https://svnweb.freebsd.org/changeset/ports/445084

Log:
  * Updated to 1.7.2
  * New maintainer Jov <amutu@amutu.com>
  * Sorted options

  Changelog:	https://www.mbdyn.org/userfiles/downloads/CHANGELOG-1.7.txt

  PR:		220157
  Submitted by:	Jov <amutu@amutu.com> (maintainer), pfg
  Reviewed by:	matthew (mentor), matt
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11481

Changes:
  head/science/mbdyn/Makefile
  head/science/mbdyn/distinfo
  head/science/mbdyn/files/
Comment 16 Richard Gallamore freebsd_committer 2017-07-05 15:55:42 UTC
Comment on attachment 184064 [details]
mbdyn-1.7.2.diff

Committed, Thanks Jov, and Pedro!